<?php

include('../db.php');

//Validation

if($_POST)
{		
	
	$PostId = $mysqli->escape_string($_GET['id']);
		
	$CheckUrl = $_POST['mLink'];
	
	if(!isset($_POST['vName']) || strlen($_POST['vName'])<1)
	{
		//required variables are empty
		die('<div class="msg-error">Please add a title</div>');
	}
	
	if(!isset($_POST['mLink']) || strlen($_POST['mLink'])<1)
	{
		//required variables are empty
		die('<div class="msg-error">Please add a video source URL</div>');
	}
	
	if (preg_match("/\b(?:(?:https?|ftp):\/\/|www\.)[-a-z0-9+&@#\/%?=~_|!:,.;]*[-a-z0-9+&@#\/%=~_|]/i", $CheckUrl)) {
  		//do nothing
	}else {
  	
	die('<div class="msg-error">Unsupported video source</div>');}
	
	if(!isset($_POST['vDes']) || strlen($_POST['vDes'])<1)
	{
		//required variables are empty
		die('<div class="msg-error">Please add a description</div>');
	}
	
	$email_address = $_POST['sEmail'];
	
	if (filter_var($email_address, FILTER_VALIDATE_EMAIL)) {
  	// The email address is valid
	} else {
  		die('<div class="msg-error">Please provide a valid email address</div>');
	}
		
	$FileTitle			= $mysqli->escape_string($_POST['vName']); // file title
	$FileDes			= $mysqli->escape_string($_POST['vDes']); // file title
	$SubmitURL          = $mysqli->escape_string($_POST['mLink']); // afflite url
	$Name				= $mysqli->escape_string($_POST['sName']); // file title
	$Email		        = $mysqli->escape_string($_POST['sEmail']); // afflite url
	$host				= "youtube.com";
	
	$VideoUrl = stristr($SubmitURL, 'watch?v=');
	$VideoUrl = explode('=', $VideoUrl);
	$VideoUrl = explode('&', $VideoUrl[1]);
	$VideoUrl = $VideoUrl[0];
	
	$YtUrl = "http://gdata.youtube.com/feeds/api/videos/".$VideoUrl;
	$Doc = new DOMDocument;
	$Doc->load($YtUrl);
	$Duration = $Doc->getElementsByTagName('duration')->item(0)->getAttribute('seconds');
		
	if($Duration < 3600){
	 $Format = 'i:s';
	}else{
	 $Format = 'G:i:s';
	} 
	
	$YtDuration = date($Format, $Duration);
	
		
	$EmbedCode = "<iframe width=\"780\" height=\"440\" src=\"http://www.youtube.com/embed/".$VideoUrl."?rel=0&amp;controls=2&amp;showinfo=0\" frameborder=\"0\" allowfullscreen></iframe>\n";
	
	
	$YtImage = "http://i2.ytimg.com/vi/".$VideoUrl."/mqdefault.jpg";
	
	$YtBigImage = "http://i2.ytimg.com/vi/".$VideoUrl."/hqdefault.jpg";
	
	
	
	
//Update Videos

		$mysqli->query("UPDATE posts SET title='$FileTitle',description='$FileDes',image='$YtBigImage',thumb='$YtImage',video_type='$host',video_url='$SubmitURL', video_embed='$EmbedCode',name='$Name',email='$Email',duration='$YtDuration' WHERE id='$PostId'");

		
		
		die('<div class="msg-ok">Thank you for posting.</div>');
		
   
   }else{
   		die('<div class="msg-error">There seems to be a problem. please try again.</div>');
   }
   


 
?>