<?php include('db.php');

if($SettingsSql = $mysqli->query("SELECT * FROM settings WHERE id='1'")){

    $settings = mysqli_fetch_array($SettingsSql);

    $SettingsSql->close();
	
}else{
    
	 printf("Error: %s\n", $mysqli->error);
}

$urlTitle = parse_url($_SERVER['REQUEST_URI']);

$pageName = $urlTitle['path'];

if($pageName == '/about_us.html'){
	$pageTitle = 'About Us | ';
} else if($pageName ==  '/contact_us.html'){
	$pageTitle = 'Contact Us | ';
} else if($pageName ==  '/privacy_policy.html'){
	$pageTitle = 'Privacy Policy | ';
} else if($pageName ==  '/tos.html'){
	$pageTitle = 'Terms of Use | ';
} else if($pageName ==  '/dmca.html'){
	$pageTitle = 'DMCA Policy | ';
} else {
	$pageTitle = '';
}

$SiteHits = $mysqli->query("UPDATE settings SET hits=hits+1 WHERE id=1");

?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title><?php echo $pageTitle;?><?php echo $settings['name'];?></title>
<meta name="description" content="<?php echo $settings['descrp'];?>" />
<meta name="keywords" content="<?php echo $settings['keywords'];?>" />
<meta name="viewport" content="width=device-width,initial-scale=1.0">

    <link rel="apple-touch-icon" href="images/touch-icon-iphone.png">
	<link rel="apple-touch-icon" sizes="72x72" href="images/touch-icon-ipad.png">
	<link rel="apple-touch-icon" sizes="114x114" href="images/touch-icon-iphone4.png">
	<link rel="apple-touch-icon" sizes="144x144" href="images/touch-icon-ipad2.png">

	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-status-bar-style" content="black">

<!--Facebook Meta Tags-->
<meta property="fb:app_id"          content="<?php echo $settings['fbapp']; ?>" /> 
<meta property="og:url"             content="http://<?php echo $settings['siteurl']; ?>" /> 
<meta property="og:title"           content="<?php echo $settings['name'];?>" />
<meta property="og:description" 	content="<?php echo $settings['descrp'];?>" /> 
<meta property="og:image"           content="http://<?php echo $settings['siteurl']; ?>/images/logo.png" /> 
<!--End Facebook Meta Tags-->

<link href="favicon.ico" rel="shortcut icon" type="image/x-icon"/>

<link href="templates/<?php echo $settings['template'];?>/css/style.css" rel="stylesheet" type="text/css">

<link href="templates/<?php echo $settings['template'];?>/css/normalize.css" rel="stylesheet" type="text/css">

<!--[if lt IE 9]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->
<script src="js/jquery.min.js"></script>
<script type="application/javascript" src="js/add2home.js" charset="utf-8"></script>
<script type="text/javascript">
<!--
function fbclick(url) 
{
 var width  = 700;
 var height = 400;
 var left   = (screen.width  - width)/2;
 var top    = (screen.height - height)/2;
 var params = 'width='+width+', height='+height;
 params += ', top='+top+', left='+left;
 params += ', directories=no';
 params += ', location=no';
 params += ', menubar=no';
 params += ', resizable=no';
 params += ', scrollbars=no';
 params += ', status=no';
 params += ', toolbar=no';
 newwin=window.open(url,'windowname5', params);
 if (window.focus) {newwin.focus()}
 return false;
}
// -->
</script>
</head>
<body>

<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=186808558189765";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>

<header>

<div id="header-contain">
<div id="header-center">
<div id="logo"><a href="index.html"><img src="images/logo.png" alt="<?php echo $settings['name'];?>" width="182" height="47"></a></div><!--logo-->
<div id="other">

<a class="sub-button" href="suggest.html">Suggest Video</a>

</div><!--other-->
</div><!--header-contain-->
</div><!--header-center-->
</header>

<?php
if($AdsSql = $mysqli->query("SELECT * FROM ads WHERE id='1'")){

    $AdsRow = mysqli_fetch_array($AdsSql);
	
	$Ad1 = $AdsRow['ad1'];
	
    $AdsSql->close();

}else{
	
     printf("Error: %s\n", $mysqli->error);
}
?>